<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html>
<head>
<link rel="stylesheet" href="./css/font-awesome.css">
<link rel="stylesheet" href="./css/cascade.css">
<link rel="stylesheet" href="./css/iconfont.css">
<link rel="stylesheet" href="./css/style.css">
<link rel="stylesheet" href="./css/button.css">
<link rel="stylesheet" href="./css/style1.css">
<link rel="stylesheet" href="./css/app.css">
<link rel="stylesheet" href="./css/box.css">
<script type="text/javascript" src="./js/jquery-3.4.1.min.js"></script>
<script type="text/javascript" src="./js/box.js"></script>
<script type="text/javascript" src="./js/base64.js"></script>
<script type="text/javascript">


function show_input(n,total){
	for( var i = 0; i <= total; i++){
		$("#input"+i).hide();
		$("#option"+i).css({"background": "none"});
		$("#option"+i).css({"border": "#eee solid 1px"});
		$("#option"+i).css({"border-bottom": "none"});
	}
	$("#input"+n).show();
	$("#option"+n).css({"background": "#85bbf2"});
	$("#option"+n).css({"border": "none"});
}

function showoverlay(){   
        $("#over_lay1").show();      
        $("#over_lay2").show();   
}
function hideoverlay(){   
        $("#over_lay1").hide();      
        $("#over_lay2").hide();   
}



var freq_cn470_1=486600000;
var freq_cn470_2=487400000;
var freq_au915_1=917100000;
var freq_au915_2=917800000;
var freq_us915_1=904300000;
var freq_us915_2=905000000;
var blestart=0;
var showmpass=0;
var xmlHttp;
var checkhex="\"this.value=this.value.replace(/[^0-9a-fA-F]/g,'');\"";
var checkdec="\"this.value=this.value.replace(/[^0-9]/g,'');\"";
function createXMLHttpRequest(){
	if(window.ActiveXObject){
		xmlHttp = new ActiveXObject("Microsoft.XMLHTTP");
	}
	else if(window.XMLHttpRequest){
		xmlHttp = new XMLHttpRequest();
	}
}

function post(url,para,Func){
	createXMLHttpRequest();
	xmlHttp.open("POST",url,true);
	xmlHttp.onreadystatechange = function(){
		if(xmlHttp.readyState === 4 && xmlHttp.status === 200){            
		//console.log(xmlHttp.responseText);
			var result=JSON.parse(xmlHttp.responseText);
			Func(result);
		}
	}
	xmlHttp.setRequestHeader("Content-type", "application/json");
	xmlHttp.send(para);
}

var subband_470=0;
var subband_915=0;
var have_wifi=0;
function checkregion()
{
	var region=$("#region_selection").val();
	if(region=="CN470")
	{
		$("#div_subband_915").hide(); 
		$("#div_subband_470").show(); 
		$("#subband_470").val(subband_470);		
	}
	else if(region=="US915"||region=="AU915")
	{
		$("#div_subband_915").show(); 
		$("#div_subband_470").hide(); 
		$("#subband_915").val(subband_915);
	}
	else
	{
		$("#div_subband_915").hide(); 
		$("#div_subband_470").hide(); 
	}
}


function getinfo_callback(status){
	console.log(status);
	$("#mac_eth").val(status.eth);
	$("#mac_wlan").val(status.wlan);
	$("#eth_ip").val(status.ethip);
	$("#wifi_ip").val(status.wlanip);
	$("#mac_4g").val(status.mac_4g);
	$("#ip_4g").val(status.ip_4g);
	$("#m_disk").val(status.disk_G+" ("+status.disk_p+")");
	status.mem=(status.mem-1).toFixed(1);
	$("#m_mem").val(status.mem+"G ("+status.mem_p+"%)");

	$("#m_cpu_temp").val(status.temperature+"C");
	$("#m_log").val(status.logsize);
	$("#server_addr").val(status.server_addr);
	$("#port_up").val(status.port_up);
	$("#port_down").val(status.port_down);
	$("#server_addr1").val(status.server_addr1);
	$("#port_up1").val(status.port_up1);
	$("#port_down1").val(status.port_down1);
	$("#gwid").val(status.gwid);
	$("#region_selection").val(status.region);
	$("#loginname").val(status.logname);
	$("#apssid").val(status.apssid);
	$("#sel_4G").val(status.status_4g);
	$("#sel_net").val(status.netmode);
	$("#wifi_ssid").val(status.wifi_ssid);
	$("#wifi_pass").val(status.wifi_pass);
	$("#wifi_pass_repeat").val(status.wifi_pass);
	if(status.extra_server==1)
	{
		$("#id_extra_server").prop("checked",true)
	}
	checkextraserver();
	switchnetmode();
	if(status.have_wifi=="0")
	{
		$("#div_net").hide();
		$("#div_wifi_info").hide();
		$("#div_m_ap").hide();
		if((status.have_4g=="0"))
			$("#option3").hide();
	}
	else
	{
		have_wifi=1;
		$("#div_net").show();
		$("#div_wifi_info").show();
		$("#div_m_ap").show();
	}
	if(status.have_4g=="0")
	{
		$("#div_4G").hide();
		$("#div_4g_info").hide();
	}
	else
	{
		$("#div_4G").show();
		$("#div_4g_info").show();
	}
	if(status.region=="CN470")
	{
		subband_470=status.subband;}
	else if(status.region=="US915"||status.region=="AU915"){
		subband_915=status.subband;}
	if(status.server_addr!="127.0.0.1")
	{
		$("#server").val(1); 
	}
	else
	{
		$("#server").val(0);
	}
	checkserveraddr();
	checkregion();
	enablebutton();
	$("#region").show();
	switchnetmode();
	gettime();
	//getstatus_interval=setInterval("gettime()",1000);	
}

function getstatus(){
	post('apply.php',null,getinfo_callback);
}

function timestampToTime(timestamp) {
var date = new Date(timestamp*1000);//
console.log(date);
var Y = date.getFullYear() + '-';
var M = (date.getMonth()+1 < 10 ? '0'+(date.getMonth()+1) : date.getMonth()+1) + '-';
var D = date.getDate() + ' ';
var h = date.getHours() + ':';
var m = date.getMinutes() + ':';
var s = date.getSeconds();
return Y+M+D+h+m+s;
}

function getlocaltime()
{
	var date = new Date();
	$("#s_time_year").val(date.getFullYear());
	$("#s_time_mon").val(date.getMonth()+1);
	$("#s_time_day").val(date.getDate());
	$("#s_time_hour").val(date.getHours());
	$("#s_time_min").val(date.getMinutes());
	$("#s_time_sec").val(date.getSeconds());
}
function gettime(){
	var para = new Object();
	para.apply='gettime';
	//console.log(JSON.stringify(para));
	post('apply.php',JSON.stringify(para),gettime_callback);
}

function settime()
{
	var tt=$("#s_time_year").val()+"/"+$("#s_time_mon").val()+"/"+$("#s_time_day").val()+" "+$("#s_time_hour").val()+":"+$("#s_time_min").val()+":"+$("#s_time_sec").val();
	console.log(tt);
	var newLocalDate = new Date(tt);
	var stamp = Date.parse(newLocalDate )/1000;
	var para = new Object();
	para.apply='settime';
	para.stamp=stamp;
	console.log(JSON.stringify(para));
	post('apply.php',JSON.stringify(para),settime_callback);
}



function settime_callback(res){
	console.log(res)
	alert("System time updated!")
	location.reload();	
}

function gettime_callback(status){
	//console.log(status);
	//console.log(status.stamp);
	var date = new Date(status.stamp*1000);
	$("#time_year").val(date.getFullYear());
	$("#time_mon").val(date.getMonth()+1);
	$("#time_day").val(date.getDate());
	$("#time_hour").val(date.getHours());
	$("#time_min").val(date.getMinutes());
	$("#time_sec").val(date.getSeconds());
	switch(status.status){
		case "running":
			$("#gateway_status").val("RUNNING");
			$("#gateway_status").css({"background":"#00FF00"});
			break;
		case "dead":
			$("#gateway_status").val("DEAD");
			$("#gateway_status").css({"background-color":"#FF0000"});
			break;
		case 'auto-restarting':
			$("#gateway_status").val("Auto-Restarting");
			$("#gateway_status").css({"background-color":"#FFFF00"});
			break;
	}
}

function clearlog(){
	var para = new Object();
	para.apply='clearlog';
	console.log(JSON.stringify(para));
	post('apply.php',JSON.stringify(para),clearlog_callback);
}
function clearlog_callback(status){
	alert("system log cleared.")
	$("#m_log").html(status.logsize);
	$("#m_disk").html(status.disk_G+"G ("+status.disk_p+"%)");
	$("#p_disk").width(status.disk_p+"%");

}


function nothing_callback(res)
{
	console.log(res);
}


function reboot()
{
	var res=confirm("Sure reboot gateway?");
	if(res==0)
	{return;}
	var para = new Object();
	para.apply="reboot";
	console.log(para);
	post('apply.php',JSON.stringify(para),nothing_callback);
}

function poweroff()
{
	var res=confirm("Sure poweroff gateway?");
	if(res==0)
	{return;}
	var para = new Object();
	para.apply="poweroff";
	post('apply.php',JSON.stringify(para),nothing_callback);
}



function disablebutton()
{
	$("#over_lay1").show(); 
}
function enablebutton()
{
	var region=$('#region_selection').val();
	$("#switch").attr('disabled',false);
	$("#region_selection").attr('disabled',false);
	$("#over_lay1").hide(); 
}
function set4G()
{
	var setting=$('#sel_4G').val();
	var para = new Object();
	para.apply="set4G";
	para.setting=setting;
	console.log(JSON.stringify(para));
	post('apply.php',JSON.stringify(para),set4G_callback);
}
function set4G_callback(res)
{
	//console.log(res);
	if(res.res=="on")
	alert("4G is enabled!");
	else
	alert("4G is disabled!")
	//enablebutton();
}

function switchregion()
{
	var region=$('#region_selection').val();
	var para = new Object();
	para.apply="switchregion";
	para.subband=0;
	if(region=="CN470")
	{
		para.subband=$('#subband_470').val();
		para.freq1=freq_cn470_1+(para.subband-10)*1600000;
		para.freq2=freq_cn470_2+(para.subband-10)*1600000;
	}
	else if(region=="US915")
	{
		para.subband=$('#subband_915').val();
		para.freq1=freq_us915_1+(para.subband-1)*1600000;
		para.freq2=freq_us915_2+(para.subband-1)*1600000;
	}
	else if(region=="AU915")
	{
		para.subband=$('#subband_915').val();
		para.freq1=freq_au915_1+(para.subband-1)*1600000;
		para.freq2=freq_au915_2+(para.subband-1)*1600000;
	}
	para.region=region;
	para.addr=$('#server_addr').val();
	para.portup=$('#port_up').val();
	para.portdown=$('#port_down').val();
	if($('#id_extra_server')[0].checked)
	{
		para.extraserver="1";
	}
	else
	{
		para.extraserver="0";
	}
	para.addr1=$('#server_addr1').val();
	para.portup1=$('#port_up1').val();
	para.portdown1=$('#port_down1').val();
	console.log(JSON.stringify(para));
	disablebutton();
	post('apply.php',JSON.stringify(para),switchregion_callback);
}
function switchregion_callback(res)
{
	console.log(res);
	alert("gateway setted");
	enablebutton();
}
var showap=0;
function displayap()
{
	if(showap==0)
	{
		$("#div_ap").show();
		showap=1;
	}
	else
	{
		$("#div_ap").hide();
		showap=0;
	}
}

function displaypass()
{
	if(showmpass==0)
	{
		$("#div_pass").show();
		showmpass=1;
	}
	else
	{
		$("#div_pass").hide();
		showmpass=0;
	}
}

function checkserveraddr()
{
	var val=$("#server").val();
	console.log(val);
	if(val==0)
	{
		$('#server_addr').val("127.0.0.1");
		$('#server_addr').attr("readonly",true);
	}
	else
	{
		$('#server_addr').attr("readonly",false);
	}
}

function apset(){
	var para = new Object();
	para.apply='setap';
	para.apssid=$('#apssid').val();
	para.password=$('#appassword').val();
	para.password_repeat=$('#appassword_repeat').val();
	if(para.password!=para.password_repeat){alert("Error :AP Password repeat is different from AP password.");return;}
	if(para.apssid.length<4){alert("Error : AP ssid min length is 4.");return;}
	if(para.password.length<8){alert("Error : Password min length is 8.");return;}
	console.log(JSON.stringify(para));
	post('apply.php',JSON.stringify(para),apset_callback);
}

function apset_callback(){
	alert("AP modified, plaese reconnect.")
	location.reload();	
}

function passwordset(){
	var para = new Object();
	para.apply='passwordset';
	para.loginname=$('#loginname').val();
	para.password=$('#password').val();
	para.password_repeat=$('#password_repeat').val();
	if(para.password!=para.password_repeat){alert("Error : Password repeat is different from password.");return;}
	if(para.loginname.length<4){alert("Error : login name min length is 4.");return;}
	if(para.password.length<6){alert("Error : Password min length is 6.");return;}
	console.log(JSON.stringify(para));
	post('apply.php',JSON.stringify(para),passwordset_callback);
}

function setnetmode()
{
	var para = new Object();
	para.apply='setnetmode';
	para.password="0";
	para.password_repeat="0";
	para.ssid="0";

	var mode=$('#sel_net').val();
	para.mode=mode;
	if(mode=="WIFI")
	{
		para.ssid=$('#wifi_ssid').val();
		para.password=$('#wifi_pass').val();
		para.password_repeat=$('#wifi_pass_repeat').val();
		if(para.ssid.length==0){alert("Error : Please input WIFI SSID.");return;}
		if(para.password!=para.password_repeat){alert("Error : WIFI Password repeat is different from WIFI password.");return;}
		if(para.password.length==0)
		{
			var res=confirm("Are you sure the wifi password?");
			if(!res)
			{
				return;
			}	
		}
	}
	console.log(JSON.stringify(para));
	post('apply.php',JSON.stringify(para),setnetmode_callback);

}

function setnetmode_callback(){
	alert("Net mode modified, gateway will reboot now!")
	location.reload();	
}


function passwordset_callback(){
	alert("password modified, plaese login again.")
	location.reload();	
}

function checkextraserver()
{
	if($('#id_extra_server')[0].checked)
	{
		$('#extar_server_div').show();
	}
	else
	{
		$('#extar_server_div').hide();
	}
}

function switchnetmode()
{
	var mode=$('#sel_net').val();
	if(mode == "WIFI")
	{
		$('#div_wifi').show();
		$('#div_ap').hide();
	}
	else
	{
		$('#div_wifi').hide();
		if(have_wifi==1)
			$('#div_ap').show();
		
	}
}

function getLoraStatus(){
	post('getstatus.php',null,getLoraStatus_callback);
}
function getLoraStatus_callback(status){
	switch(status.status){
		case "running":
			$("#gateway_status").val("RUNNING");
			$("#gateway_status").css({"background":"#00FF00"});
			break;
		case "dead":
			$("#gateway_status").val("DEAD");
			$("#gateway_status").css({"background-color":"#FF0000"});
			break;
		case 'auto-restarting':
			$("#gateway_status").val("Auto-Restarting");
			$("#gateway_status").css({"background-color":"#FFFF00"});
			break;
	}
}

 $(document).ready(function(){
	show_input(1,4)
	console.log(Date.now())
 	disablebutton();
 	getstatus();
 });

</script>
</head>

<body>
	<div class="header-banner" id="hbanner">
  		<div class="logo"></div>
	</div>
	<header>
  		<div id="over_lay2" class="over_lay"></div>
		<div class="fill">
			<div class="container">
 		 		 <ul class="nav">
					<li id="header_gateway" class="dropdown"><a class="menu" href="./index.php"><i class="icon iconfont icon-LoRa Gateway"></i>  Setting</a></li>
					<li id="header_log" class="dropdown"><a class="menu" href="./packetlog.php"><i class="icon iconfont icon-Status"></i>  Packet Logger</a></li>
					<!--<li class="dropdown"><a class="menu" href="javascript:changeurl('./test.php?appid=?')"><i class="icon iconfont icon-LoRa Network Server"></i>  LoRa Network Server</a></li>-->
					<!--<li id="header_app" class="dropdown" style="display:none"><a class="menu" href="./app.php?appid=?"><i class="icon iconfont icon-Services"></i>  LoRa Application</a></li>-->
					<!--<li class="dropdown"><a class="menu" href="./system.php"><i class="icon iconfont icon-System"></i>  System</a></li>-->
		  		</ul>
			</div>
		</div>
	</header>
	<div id="maincontent">
		<div id="over_lay1" class="over_lay">please wait ......</div>
 		<fieldset  class="cbi-section">
  		<legend>
			<div id="lengend"><div>Setting</div></div>
		</legend>
		<div id='option'>
			<ul>
				<li id='option1' style='background-color:#85bbf2' onclick='show_input(1,4)'>Gateway Setting</li>
				<li id='option2' style='background-color:#85bbf2' onclick='show_input(2,4)'>Basic Info</li>
				<li id='option3' style='background-color:#85bbf2' onclick='show_input(3,4)'>Net Mode</li>
				<li id='option4' style='background-color:#85bbf2' onclick='show_input(4,4)'>Login Info</li>
			</ul>
		</div>
		<div id="data_header" class="pkt_logger" style="background: rgb(133, 187, 242);"><div style='display:block;height:14px' class='time'></div></div>
		<div id="list_content" style="min-width:500px;overflow-y: hidden;min-height:1000px" class="pkt_logger">
			<div class='menudiv' style='float:left;width:100%;'>
				<div id='input1' style='float:left;width:100%'>
					<div style='padding-top:50px;'><div class='input_name'><span class='padright'>Status : </span></div><div class='input'><input id='gateway_status' style='border:0;font-weight:bold;color:blue'></input></div></div>
					<div><div class='input_name' ><span class='padright'>Gateway_ID : </span></div><div class='input'><input id='gwid'  readonly=true  maxlength='16' style="text-transform:uppercase"></input></div></div>
					<div style='padding-top:50px;'>
						<div class='input_name' ><span class='padright'>Region : </span></div>
						<div class='input'>
							<select class='gateway_band' id='region_selection' onchange='checkregion()'>
  								<option value ="CN470">CN470</option>
  								<option value ="EU433">EU433</option>
								<option value ="EU868">EU868</option>
  								<option value ="US915">US915</option>
  								<option value ="AU915">AU915</option>  								
  								<option value="AS923_1">AS923_1(923.2~924.6)</option>
  								<option value="AS923_2">AS923_2(921.4~922.8)</option>
  								<option value="AS923_3">AS923_3(916.6~918.0)</option>
  								<option value="AS923_4">AS923_4(917.3~918.7)</option>
                                                        	<option value="AS923_1B">AS923_1B(922.0~923.4)</option>
							</select>
						</div>
					</div>
					<div style='padding-top:50px;' id='div_subband_470'>
						<div class='input_name' ><span class='padright'>Channel :</span></div>
						<div class='input'>
							<select class='gateway_band' id="subband_470">
								<option value=0>Channels 0-7</option>
								<option value=1>Channels 8-15</option>
								<option value=2>Channels 16-23</option>
								<option value=3>Channels 24-31</option>
								<option value=4>Channels 32-39</option>
								<option value=5>Channels 40-47</option>
								<option value=6>Channels 48-55</option>
								<option value=7>Channels 56-63</option>
								<option value=8>Channels 64-71</option>
								<option value=9>Channels 72-79</option>
								<option value=10>Channels 80-87</option>
								<option value=11>Channels 88-95</option>
							</select>
						</div>
					</div>
					<div style='padding-top:50px;' id='div_subband_915'>
						<div class='input_name' ><span class='padright'>Channel : </span></div>
						<div class='input'>
							<select class='gateway_band' id="subband_915">
								<option value=0>Channels 0-7,64</option>
								<option value=1>Channels 8-15,65</option>
								<option value=2>Channels 16-23,66</option>
								<option value=3>Channels 24-31,67</option>
								<option value=4>Channels 32-39,68</option>
								<option value=5>Channels 40-47,69</option>
								<option value=6>Channels 48-55,70</option>
								<option value=7>Channels 56-63,71</option>
							</select>
						</div>
					</div>
					<div><div class='input_name' ><span class='padright'>Server : </span></div>
						<div class='input'>
							<select class='lora_server' id='server' onchange="checkserveraddr()">
								<option value=0>localhost</option>
								<option value=1>custom</option>
							</select>
						</div>
					</div>
					<div id='div_addr'><div class='input_name'><span class='padright'>Server Addr  : </span></div><div class='input'><input id='server_addr'></input></div></div>
					<div id='div_portup'><div class='input_name'><span class='padright'>Uplink Port :</span></div><div class='input'><input id='port_up'></input></div></div>
					<div id='div_portdown'><div class='input_name'><span class='padright'>Downlink Port : </span></div><div class='input'><input id='port_down'></input></div></div>
					<div>
							<div class='input_name'><span class='padright'>Extra Server :</span></div>
							<div class='input'  style="text-align:left;padding-top:15px"><input type="checkbox" name="extra_server" id="id_extra_server" onclick="checkextraserver()"></div>
					</div>
					<div id="extar_server_div" style="display:none">
						<div id='div_addr'><div class='input_name'><span class='padright'>Extra Server Addr  : </span></div><div class='input'><input id='server_addr1'></input></div></div>
						<div id='div_portup'><div class='input_name'><span class='padright'>Extra Uplink Port :</span></div><div class='input'><input id='port_up1'></input></div></div>
						<div id='div_portdown'><div class='input_name'><span class='padright'>Extra Downlink Port : </span></div><div class='input'><input id='port_down1'></input></div></div>
					</div>
					<div><div class='input_name'></div><div class='input' style='padding-left:2px;width:45%'><button style='width:280px;height:40px;line-height:40px' class='btn-default' onClick="switchregion();">Apply</button></div></div>
				</div>
				<div id='input2' style='float:left;width:100%'>
					<div style='padding-top:50px;'><div class='input_name'><span class='padright'>ETH MAC : </span></div><div class='input'><input id='mac_eth' readonly></input></div></div>
					<div style='padding-top:50px;'><div class='input_name'><span class='padright'>ETH IP : </span></div><div class='input'><input id='eth_ip' readonly></input></div></div>
					<div id="div_wifi_info">
						<div style='padding-top:50px;'><div class='input_name'><span class='padright'>WLAN MAC : </span></div><div class='input'><input id='mac_wlan' readonly></input></div></div>
						<div style='padding-top:50px;'><div class='input_name'><span class='padright'>WLAN IP : </span></div><div class='input'><input id='wifi_ip' readonly></input></div></div>
					</div>
					<div id="div_4g_info">
						<div style='padding-top:50px;'><div class='input_name'><span class='padright'>4G MAC : </span></div><div class='input'><input id='mac_4g' readonly></input></div></div>
						<div style='padding-top:50px;'><div class='input_name'><span class='padright'>4G IP : </span></div><div class='input'><input id='ip_4g' readonly></input></div></div>
					</div>
					<div style='padding-top:50px;'><div class='input_name'><span class='padright'>CPU Temperature : </span></div><div class='input'><input id='m_cpu_temp' readonly></input></div></div>
					<div style='padding-top:50px;'><div class='input_name'><span class='padright'>System log size : </span></div><div class='input'><input id='m_log' readonly></input></div></div>
					<div><div class='input_name'></div><div class='input' style='padding-left:2px;width:45%'><button style='width:280px;height:40px;line-height:40px' class='btn-default' onClick="clearlog()">Clear Log</button></div></div>

					<div style='padding-top:50px;'><div class='input_name'><span class='padright'>Disk used : </span></div><div class='input'><input id='m_disk' readonly></input></div></div>
					<div style='padding-top:50px;'><div class='input_name'><span class='padright'>Memory used : </span></div><div class='input'><input id='m_mem' readonly></input></div></div>
					<div style='padding-top:50px;'>
						<div class='input_name' style="padding-top:7px"><span class='padright' >Current system time : </span></div>
						<div class='input'>
							<input  id='time_year' disabled style="text-align:center;width:50px;" maxlength="4"></input>
							<span style="color:black;" >-</span>
							<input  id='time_mon' disabled style="text-align:center;width:30px" maxlength="2"></input>
							<span style="color:black;">-</span>
							<input  id='time_day' disabled style="text-align:center;width:30px" maxlength="2"></input>
							<span style="witdh:50px;">&nbsp;&nbsp;</span>
							<input  id='time_hour' disabled style="text-align:center;width:30px" maxlength="2"></input>
							<span style="color:black;">:</span>
							<input  id='time_min' disabled style="text-align:center;width:30px" maxlength="2"></input>
							<span style="color:black;">:</span>
							<input  id='time_sec' disabled style="text-align:center;width:30px" maxlength="2"></input>
						</div>
					</div>
					<div style='padding-top:50px;' >
						<div class='input_name' style="padding-top:7px"><span class='padright'>Current system time : </span></div>
						<div class='input'>
							<input  id='s_time_year' style="text-align:center;width:50px;" maxlength="4"></input>
							<span style="color:black;" >-</span>
							<input  id='s_time_mon' style="text-align:center;width:30px" maxlength="2"></input>
							<span style="color:black;">-</span>
							<input  id='s_time_day' style="text-align:center;width:30px" maxlength="2"></input>
							<span style="witdh:50px;">&nbsp;&nbsp;</span>
							<input  id='s_time_hour' style="text-align:center;width:30px" maxlength="2"></input>
							<span style="color:black;">:</span>
							<input  id='s_time_min' style="text-align:center;width:30px" maxlength="2"></input>
							<span style="color:black;">:</span>
							<input  id='s_time_sec' style="text-align:center;width:30px" maxlength="2"></input>
						</div>
					</div>
					<div><div class='input_name'></div><div class='input' style='padding-left:2px;width:45%'><button style='width:280px;height:40px;line-height:40px' class='btn-default' onClick="getlocaltime()">Get local time</button></div></div>
					<div><div class='input_name'></div><div class='input' style='padding-left:2px;width:45%'><button style='width:280px;height:40px;line-height:40px' class='btn-default' onClick="settime()">Set system time</button></div></div>
				</div>

				</div>
				<div id='input3' style='float:left;width:100%'>
					<div id="div_4G" style='padding-top:50px;'>
						<div class='input_name' ><span class='padright'>4G Setting : </span></div>
						<div class='input'>
							<select id="sel_4G" onchange="set4G()">
								<option value="off">Disable</option>
								<option value="on">Enable</option>
							</select>
						</div>
					</div>
					<div id="div_net">
					<div style='padding-top:50px;' id="div_net">
						<div class='input_name' ><span class='padright'>Net setting : </span></div>
						<div class='input'>
							<select id="sel_net"  onchange="switchnetmode()">
								<option value="ETH">ETH WAN + WIFI AP(AP IP:192.168.4.1)</option>
								<option value="WIFI">WIFI Client + ETH LAN(LAN IP:192.168.4.1)</option>
							</select>
						</div>
					</div>
					<div id="div_wifi">
						<div style='padding-top:50px;'><div class='input_name'><span class='padright'>WIFI SSID : </span></div><div class='input'><input id='wifi_ssid'></input></div></div>
						<div style='padding-top:50px;'><div class='input_name'><span class='padright'>WIFI Password : </span></div><div class='input'><input id='wifi_pass' type="password" ></input></div></div>
						<div style='padding-top:50px;'><div class='input_name'><span class='padright'>Password Repeat : </span></div><div class='input'><input id='wifi_pass_repeat' type="password" ></input></div></div>
					</div>
					<div><div class='input_name'></div><div class='input' style='padding-left:2px;width:45%'><button style='width:280px;height:40px;line-height:40px' class='btn-default' onClick="setnetmode()">Apply</button></div></div>
					</div>
					<div id="div_ap" style="display:none">
						<div style='padding-top:50px;'><div class='input_name'><span class='padright'>AP SSID : </span></div><div class='input'><input id='apssid'></input></div></div>
						<div style='padding-top:50px;'><div class='input_name'><span class='padright'>AP Password : </span></div><div class='input'><input id='appassword' type="password" ></input></div></div>
						<div style='padding-top:50px;'><div class='input_name'><span class='padright'>Password Repeat : </span></div><div class='input'><input id='appassword_repeat' type="password" ></input></div></div>
						<div><div class='input_name'></div><div class='input' style='padding-left:2px;width:45%'><button style='width:280px;height:40px;line-height:40px' class='btn-default' onClick="apset()">Set AP</button></div></div>
					</div>

				</div>
				<div id='input4' style='float:left;width:100%'>
					<div style='padding-top:50px;'><div class='input_name'><span class='padright'>Login Name : </span></div><div class='input'><input id='loginname'></input></div></div>
					<div style='padding-top:50px;'><div class='input_name'><span class='padright'>Password : </span></div><div class='input'><input id='password' type="password" ></input></div></div>
					<div style='padding-top:50px;'><div class='input_name'><span class='padright'>Password Repeat : </span></div><div class='input'><input id='password_repeat' type="password" ></input></div></div>
					<div><div class='input_name'></div><div class='input' style='padding-left:2px;width:45%'><button style='width:280px;height:40px;line-height:40px' class='btn-default' onClick="passwordset()">Apply</button></div></di
				</div>

			</div>
		</div>
 		</fieldset>
	</div>
</body>
<html>
